/* 
 * PHP3 Internationalization support program.
 *
 * Copyright (c) 1999,2000 by the PHP3 internationalization team.
 * All rights reserved.
 *
 * This program is free software. You can use, redistribute and/or modify
 * without fee under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY including implied or express warranty of
 * marchantability or fitness for a particular purpose.
 *
 * Currently, the "PHP3 internationalization team" has no relationship with
 * the "PHP Development Team". But we hope these code will be integrated
 * into the PHP3, and it will be distributed as a part of PHP3.
 *
 * See README_i18n for more detail.
 *
 * Authors:
 *    Hironori Sato <satoh@jpnnet.com>
 *    Shigeru Kanemoto <sgk@happysize.co.jp>
 *    Tsukada Takuya <tsukada@fminn.nagano.nagano.jp>
 */

/* 
 * PHP4 multibyte regular expression module
 * Authors:
 *    Tsukada Takuya <tsukada@fminn.nagano.nagano.jp>
 */

/* $Id$ */


#ifndef _PHP_MBREGEX_H
#define _PHP_MBREGEX_H

#if HAVE_MBREGEX

extern zend_module_entry mbregex_module_entry;
#define mbregex_module_ptr &mbregex_module_entry

extern PHP_MINIT_FUNCTION(mbregex);
extern PHP_MSHUTDOWN_FUNCTION(mbregex);
extern PHP_RSHUTDOWN_FUNCTION(mbregex);
PHP_MINFO_FUNCTION(mbregex);

PHP_FUNCTION(mbregex_info);
PHP_FUNCTION(mbregex_encoding);
PHP_FUNCTION(mbereg);
PHP_FUNCTION(mberegi);
PHP_FUNCTION(mbereg_replace);
PHP_FUNCTION(mberegi_replace);
PHP_FUNCTION(mbsplit);
PHP_FUNCTION(mbereg_match);
PHP_FUNCTION(mbereg_search);
PHP_FUNCTION(mbereg_search_pos);
PHP_FUNCTION(mbereg_search_regs);
PHP_FUNCTION(mbereg_search_init);
PHP_FUNCTION(mbereg_search_getregs);
PHP_FUNCTION(mbereg_search_getpos);
PHP_FUNCTION(mbereg_search_setpos);

#define PHP_MBREGEX_MAXCACHE 50

#else

#define mbregex_module_ptr NULL

#endif	/* HAVE_MBREGEX */

#define phpext_mbregex_ptr mbregex_module_ptr

#endif		/* _PHP_MBREGEX_H */
